esphome:
  name: air_quality_indoor
  platform: ESP32
  board: lolin32
  build_path: build

wifi:
  ssid: !secret wifi_ssid
  password: !secret wifi_password
  domain: ''
  use_address: 10.2.0.22
  
logger:
  baud_rate: 115200
  level: DEBUG
  logs:
    sensor: INFO
    pmsx003: INFO
    bme280.sensor: INFO
    ccs811: INFO
  
ota:

mqtt:
  broker: '10.2.0.1'
  port: 1883
  username: ''
  password: ''

i2c:
  sda: 21
  scl: 22
  scan: True
  id: bus_a
                                                       
# GPIO13/RXD2 num 16 = pms tx (pin 5)
# GPIO15/TXD2 num 17 = pms rx (pin 4)
uart:
  rx_pin: 16
  baud_rate: 9600

sensor:
  - platform: bme280
    temperature:
      name: "BME280 Temperature"
    pressure:
      name: "BME280 Pressure"
    humidity:
      name: "BME280 Humidity"
    address: 0x76
    update_interval: 30s
  - platform: ccs811
    eco2:
      name: "CCS811 eCO2 Value"
    tvoc:
      name: "CCS811 Total Volatile Organic Compound"
    address: 0x5A
    update_interval: 60s
  - platform: pmsx003
    type: PMSX003
    pm_1_0:
      name: "Particulate Matter <1.0µm Concentration"
    pm_2_5:
      name: "Particulate Matter <2.5µm Concentration"
    pm_10_0:
      name: "Particulate Matter <10.0µm Concentration"
